aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-11-29 15:13:11 -0800
committerRobin H. Johnson <robbat2@gentoo.org>2015-11-29 15:13:11 -0800
commita88756a60a04f469139077268338c10af29e85df (patch)
treef7462e6ee33af2f9fa7ac0191f1a21190e309469 /timestamp-rsync.sh
downloadmastermirror-scripts-a88756a60a04f469139077268338c10af29e85df.tar.gz
mastermirror-scripts-a88756a60a04f469139077268338c10af29e85df.tar.bz2
mastermirror-scripts-a88756a60a04f469139077268338c10af29e85df.zip
Initial commit.
Copied from git+ssh://git@git.gentoo.org/infra/cfengine.git repo as: timestamp 2015-11-29T21:57:00Z commit 3b63da8fbbb848d5a1f7e7cd7c6989638ed0d817 No passwords, passphrases or key material is contained herein, but it may reference the pathes to such. Reviewed-by: Robin H. Johnson <robbat2@gentoo.org> Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
Diffstat (limited to 'timestamp-rsync.sh')
-rwxr-xr-xtimestamp-rsync.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/timestamp-rsync.sh b/timestamp-rsync.sh
new file mode 100755
index 0000000..1d8cf2f
--- /dev/null
+++ b/timestamp-rsync.sh
@@ -0,0 +1,7 @@
+#!/bin/sh
+case $HOSTNAME in
+ kookaburra) TARGET=/var/tmp/gmirror/snapshots-final/.timestamp-snapshots.x ;;
+ dipper) TARGET=/var/tmp/gmirror-rsync/snapshots-final/.timestamp-snapshots.x ;;
+ *) echo "Unknown host in timestamp-rsync.sh!" 1>&2 ; exit 1 ;;
+esac
+/bin/date -u +'%s %a, %d %b %Y %H:%M:%S %z' >"${TARGET}"